<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.7" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__ota__storage__write__info__t" kind="struct" prot="public">
    <compoundname>cy_ota_storage_write_info_t</compoundname>
    <includes local="no">cy_ota_api.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__ota__storage__write__info__t_1a23215e611d8933d75fc52e902d3f4502" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_ota_storage_write_info_t::total_size</definition>
        <argsstring />
        <name>total_size</name>
        <briefdescription>
<para>Pass total size to storage module; 0 = disregard. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="644" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="644" />
      </memberdef>
      <memberdef id="structcy__ota__storage__write__info__t_1a0405b3806c0de934f5f5f55ac693c184" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_ota_storage_write_info_t::offset</definition>
        <argsstring />
        <name>offset</name>
        <briefdescription>
<para>Offset into file/area where data belongs. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="646" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="646" />
      </memberdef>
      <memberdef id="structcy__ota__storage__write__info__t_1af66dba2bcbb117c85bcf20fa0357c525" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_ota_storage_write_info_t::buffer</definition>
        <argsstring />
        <name>buffer</name>
        <briefdescription>
<para>Pointer to buffer with chunk of data. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="647" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="647" />
      </memberdef>
      <memberdef id="structcy__ota__storage__write__info__t_1a20c92fe4a9bba891efd3319efbd05060" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_ota_storage_write_info_t::size</definition>
        <argsstring />
        <name>size</name>
        <briefdescription>
<para>Size of data in buffer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="648" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="648" />
      </memberdef>
      <memberdef id="structcy__ota__storage__write__info__t_1abe05546ecff7e5985d268248c0ebb3e5" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_ota_storage_write_info_t::packet_number</definition>
        <argsstring />
        <name>packet_number</name>
        <briefdescription>
<para>MQTT: The packet number of this chunk. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="651" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="651" />
      </memberdef>
      <memberdef id="structcy__ota__storage__write__info__t_1a3d5cf26f262a52569a71a8948df60b56" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_ota_storage_write_info_t::total_packets</definition>
        <argsstring />
        <name>total_packets</name>
        <briefdescription>
<para>MQTT: Total packets (chunks) in OTA Image. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="652" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="652" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Struct to hold information on where to write data Information on where to store the down loaded chunk of OTA image. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="653" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="642" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="643" />
    <listofallmembers>
      <member prot="public" refid="structcy__ota__storage__write__info__t_1af66dba2bcbb117c85bcf20fa0357c525" virt="non-virtual"><scope>cy_ota_storage_write_info_t</scope><name>buffer</name></member>
      <member prot="public" refid="structcy__ota__storage__write__info__t_1a0405b3806c0de934f5f5f55ac693c184" virt="non-virtual"><scope>cy_ota_storage_write_info_t</scope><name>offset</name></member>
      <member prot="public" refid="structcy__ota__storage__write__info__t_1abe05546ecff7e5985d268248c0ebb3e5" virt="non-virtual"><scope>cy_ota_storage_write_info_t</scope><name>packet_number</name></member>
      <member prot="public" refid="structcy__ota__storage__write__info__t_1a20c92fe4a9bba891efd3319efbd05060" virt="non-virtual"><scope>cy_ota_storage_write_info_t</scope><name>size</name></member>
      <member prot="public" refid="structcy__ota__storage__write__info__t_1a3d5cf26f262a52569a71a8948df60b56" virt="non-virtual"><scope>cy_ota_storage_write_info_t</scope><name>total_packets</name></member>
      <member prot="public" refid="structcy__ota__storage__write__info__t_1a23215e611d8933d75fc52e902d3f4502" virt="non-virtual"><scope>cy_ota_storage_write_info_t</scope><name>total_size</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>